{% extends "base.html" %}

{% block content %}

	{% for c in allcrs %}
		{{ c.id }}
		{{ c.name }}
		{{ c.description }}
		<a href="{{ url_for('coursegrades', crsnum = c.id) }}">
			Grades</a>
		<br>

		{% set count = [1] %}
		{% for h in c.homework %}
			{% if h.assgnmt_typ == 1 %}
				{{ h.id }}
				{{ h.description }}
				{{ h.due_date }}
				<a href="{{ url_for('hwrevise', idnum = h.id) }}">
					Homework #{{ count|length }}</a> - {{ h.description }}
				<a href="{{ url_for('show_tables', hwnum = h.id) }}">
					Select</a>
				<a href="{{ url_for('gradehw', hwnum = h.id) }}">
					Grade hw</a>
				<a href="{{ url_for('hwextract', hwnum = h.id) }}">
					Extract</a>
				<br>
				{% set count = count.append(1) %}
			{% endif %}
		{% endfor %}

		{% set count = [1] %}
		{% for h in c.homework %}
			{% if h.assgnmt_typ == 2 %}
				{{ h.id }}
				{{ h.description }}
				{{ h.due_date }}
				<a href="{{ url_for('hwrevise', idnum = h.id) }}">
					Exam #{{ count|length }}</a> - {{ h.description }}
				<a href="{{ url_for('show_tables', hwnum = h.id) }}">
					Select</a>
				<a href="{{ url_for('gradehw', hwnum = h.id) }}">
					Grade exm</a>
				<a href="{{ url_for('hwextract', hwnum = h.id) }}">
					Extract slctn</a>
				<br>
				{% set count = count.append(1) %}
			{% endif %}
		{% endfor %}

		{% set count = [1] %}
		{% for h in c.homework %}
			{% if h.assgnmt_typ == 3 %}
				{{ h.id }}
				{{ h.description }}
				{{ h.due_date }}
				Lab #{{ count|length }}<a href="{{ url_for('lbgrade', crsnum = c.id) }}">
					Extract lab Grades</a>
				<br>
				{% set count = count.append(1) %}
			{% endif %}
		{% endfor %}

		{% set count = [1] %}
		{% for h in c.homework %}
			{% if h.assgnmt_typ == 4 %}
				{{ h.id }}
				{{ h.description }}
				{{ h.due_date }}
				Formal Lab #{{ count|length }}<a href="{{ url_for('lbgrade', crsnum = c.id) }}">
					Extract lab Grades</a>
				<br>
				{% set count = count.append(1) %}
			{% endif %}
		{% endfor %}

		{% set count = [1] %}
		{% for h in c.homework %}
			{% if h.assgnmt_typ == 5 %}
				{{ h.id }}
				{{ h.description }}
				{{ h.due_date }}
				<a href="{{ url_for('hwrevise', idnum = h.id) }}">
					Final Exam #{{ count|length }}</a> - {{ h.description }}
				<a href="{{ url_for('show_tables', hwnum = h.id) }}">
					Select</a>
				<a href="{{ url_for('gradehw', hwnum = h.id) }}">
					Grade exm</a>
				<a href="{{ url_for('hwextract', hwnum = h.id) }}">
					Extract slctn</a>
				<br>
				{% set count = count.append(1) %}
			{% endif %}
		{% endfor %}

	{% endfor %}

	<br>
	<br>
	<a href="{{ url_for('admin') }}">Back to admin page</a>
	<br>
	<br>
	<a href="{{ url_for('logout') }}">Logout</a>

{% endblock %}